import { Waypoint } from '@modules/ad/core/domain/value-objects/waypoint.value-object';

describe('Waypoint value object', () => {
  it('should create a waypoint value object', () => {
    const waypointVO = new Waypoint({
      position: 0,
      address: {
        houseNumber: '5',
        street: 'rue de la monnaie',
        locality: 'Nancy',
        postalCode: '54000',
        country: 'France',
        coordinates: {
          lon: 48.689445,
          lat: 6.17651,
        },
      },
    });
    expect(waypointVO.position).toBe(0);
    expect(waypointVO.address.country).toBe('France');
  });
});
